Subject: Re: How to validate restore of backup?

From: Greg Sabino Mullane <[email-masked]>
Date: Thu, 22 Aug 2024 10:22:02 -0400

On Thu, Aug 22, 2024 at 8:49 AM o1bigtenor <[email-masked]> wrote:

>
>
> On Thu, Aug 22, 2024 at 6:24 AM Ron Johnson <[email-masked]>
> wrote:
>
>> That's great on small databases.  Not so practical when they're big.
>>
>> So - - - - what is the recommended procedure for 'large' databases?
>

Use a real backup system like pgBackRest. Stop using pg_dump.

Cheers,
Greg

---

From: Ron Johnson <[email-masked]>
Date: Thu, 22 Aug 2024 10:32:33 -0400

> Use a real backup system like pgBackRest. Stop using pg_dump.

Not useful when you're migrating not only between major versions but glibc
levels.

Use logical replication!!  Maybe.  It gets difficult with partitioned
tables that regularly have children added and dropped; mistakes can be
made.  pg_dump/pg_restore is guaranteed to work.

-- 
Death to America, and butter sauce.
Iraq lobster!